Bug 1127520 - CVE-2014-5179 drupal6-freelinking: access bypass issue [fedora-19]
Summary: CVE-2014-5179 drupal6-freelinking: access bypass issue [fedora-19]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: drupal6-freelinking
Version: 19
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=Sparks
Depends On:
Blocks: CVE-2014-5179
TreeView+ depends on / blocked
 
Reported: 2014-08-07 03:37 UTC by Murray McAllister
Modified: 2015-01-05 16:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-05 16:16:59 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-08-07 03:37:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

fedora-19 tracking bug for drupal6-freelinking: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-08-07 03:38:02 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1127519,1127520

# Description of your update
notes=Security fix for CVE-2014-5179

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1127519,1127520

Comment 2 Shawn Iwinski 2014-08-30 01:47:24 UTC
According to upstream (https://www.drupal.org/project/freelinking): This module is unsupported due to a security issue the maintainer didn’t fix. See SA-CONTRIB-2014-072 - Freelinking, Freelinking Case Tracker - Access bypass (https://www.drupal.org/node/2308503) for details.



I retired this package on f21, rawhide, el5, and el6.  f19 and f20 gave me the following errors though:

> Could not retire package: You are not allowed to retire the package: drupal6-freelinking on branch f19.
> ERROR:rpkg:Could not retire package: You are not allowed to retire the package: drupal6-freelinking on branch f19.

> Could not retire package: You are not allowed to retire the package: drupal6-freelinking on branch f20.
> ERROR:rpkg:Could not retire package: You are not allowed to retire the package: drupal6-freelinking on branch f20.

I am listed in pkgdb as the main contact, an admin, a committer, and a watcher of this package.  Do I need to submit a ticket to get this pkg retired on f19 and f20 or can you do it?

Comment 3 Murray McAllister 2014-09-01 06:16:16 UTC
Adding Eric to Cc. Eric, can you please help with the above?

Comment 4 Eric Christensen 2014-09-22 15:15:48 UTC
Sorry for the delay.  I'm look at this now.

Comment 5 Eric Christensen 2014-09-22 15:32:31 UTC
The word from Release Engineering is that once the package has been shipped it cannot be pulled back.  Your current choices are:

1. Ship a fix.
2. Ship an updated package that removes the executable and replaces all the pieces with a README.
3. Orphan the package.
4. Blog about it/otherwise get the word out that this package is bad.

Obviously, these are not mutually exclusive.  You may select to do a bunch of these.  I wish I had a better option.

Comment 6 Eric Christensen 2014-11-17 18:27:07 UTC
What ever happened with this update?  If this package won't be updated I'd highly recommend you orphan it now before the release of F21.

Comment 7 Fedora Admin XMLRPC Client 2014-11-21 01:52:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Shawn Iwinski 2014-11-21 01:55:38 UTC
(In reply to Eric Christensen from comment #6)
> What ever happened with this update?  If this package won't be updated I'd
> highly recommend you orphan it now before the release of F21.

Per comment #2, I retired this package on f21, rawhide, el5, and el6.

I just orphaned f19 and f20.

Comment 9 Fedora Admin XMLRPC Client 2014-11-21 02:44:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Admin XMLRPC Client 2014-11-21 02:45:01 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Shawn Iwinski 2015-01-05 16:16:59 UTC
Package retired/orphaned


Note You need to log in before you can comment on or make changes to this bug.